Debian Bug report logs - #511270
consolekit: FTBFS on GNU/kFreeBSD

version graph

Package: consolekit; Maintainer for consolekit is Robert Millan <rmh@debian.org>; Source for consolekit is src:consolekit.

Reported by: "Luca Favatella" <slackydeb@gmail.com>

Date: Thu, 8 Jan 2009 22:45:02 UTC

Severity: important

Tags: patch

Found in version consolekit/0.2.10-3

Fixed in version consolekit/0.3.0-1

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=30051

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#511270; Package consolekit. (Thu, 08 Jan 2009 22:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Luca Favatella" <slackydeb@gmail.com>:
New Bug report received and forwarded. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 08 Jan 2009 22:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Luca Favatella" <slackydeb@gmail.com>
To: submit@bugs.debian.org
Subject: consolekit: FTBFS on GNU/kFreeBSD
Date: Thu, 8 Jan 2009 23:42:00 +0100
Package: consolekit
Version: 0.2.10-3

X-Debbugs-Cc: slackydeb@gmail.com, debian-bsd@lists.debian.org
Severity: important
Tags: patch
User: glibc-bsd-devel@lists.alioth.debian.org
Usertags: kfreebsd

Hi,

the current version fails to build on
GNU/kFreeBSD.

The attached patch makes the following changes:
* add kfreebsd target to configure.ac script
* regenerate configure (using autoconf)
* add unsatisfied Build-Depends under kfreebsd ports

Thanks,
Luca Favatella

*** consolekit.patch
diff -ur --unidirectional-new-file
consolekit-0.2.10.orig/debian/control consolekit-0.2.10/debian/control
--- consolekit-0.2.10.orig/debian/control	2009-01-07 01:32:29.000000000 +0100
+++ consolekit-0.2.10/debian/control	2009-01-07 00:40:53.000000000 +0100
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Utopia Maintenance Team
<pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>
-Build-Depends: cdbs, debhelper (>= 5), autotools-dev, pkg-config,
,quilt, libdbus-glib-1-dev (>= 0.30), libglib2.0-dev (>= 2.7.0),
libx11-dev (>= 1.0.0), xmlto, libpam0g-dev, zlib1g-dev
+Build-Depends: cdbs, debhelper (>= 5), autotools-dev, pkg-config,
,quilt, libdbus-glib-1-dev (>= 0.30), libglib2.0-dev (>= 2.7.0),
libkvm-dev [kfreebsd-i386 kfreebsd-amd64], libx11-dev (>= 1.0.0),
xmlto, libpam0g-dev, zlib1g-dev
 Standards-Version: 3.8.0
 Vcs-Svn: svn://svn.debian.org/svn/pkg-utopia/packages/unstable/consolekit
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-utopia/packages/unstable/consolekit
diff -ur --unidirectional-new-file
consolekit-0.2.10.orig/debian/patches/80-gnukfreebsd_support_configure.ac.patch
consolekit-0.2.10/debian/patches/80-gnukfreebsd_support_configure.ac.patch
--- consolekit-0.2.10.orig/debian/patches/80-gnukfreebsd_support_configure.ac.patch	1970-01-01
01:00:00.000000000 +0100
+++ consolekit-0.2.10/debian/patches/80-gnukfreebsd_support_configure.ac.patch	2009-01-07
00:50:47.000000000 +0100
@@ -0,0 +1,11 @@
+--- ConsoleKit-0.2.10.orig/configure.ac	2008-02-13 04:55:50.000000000 +0100
++++ consolekit-0.2.10/configure.ac	2009-01-07 00:25:42.000000000 +0100
+@@ -176,7 +176,7 @@
+ CK_BACKEND=""
+ KVM_LIBS=""
+ case "$host" in
+-        *-*-freebsd*)
++        *-*-freebsd* | *-*-kfreebsd*-gnu)
+         CK_BACKEND="freebsd"
+         AC_CHECK_LIB(kvm, kvm_openfiles, have_kvm=yes,
+                 AC_MSG_ERROR([Unable to find libkvm which is needed
on FreeBSD]))
diff -ur --unidirectional-new-file
consolekit-0.2.10.orig/debian/patches/81-gnukfreebsd_support_pseudo_run_autoconf.patch
consolekit-0.2.10/debian/patches/81-gnukfreebsd_support_pseudo_run_autoconf.patch
--- consolekit-0.2.10.orig/debian/patches/81-gnukfreebsd_support_pseudo_run_autoconf.patch	1970-01-01
01:00:00.000000000 +0100
+++ consolekit-0.2.10/debian/patches/81-gnukfreebsd_support_pseudo_run_autoconf.patch	2009-01-07
00:50:57.000000000 +0100
@@ -0,0 +1,11 @@
+--- ConsoleKit-0.2.10.orig/configure	2008-02-26 01:39:59.000000000 +0100
++++ consolekit-0.2.10/configure	2009-01-07 00:27:59.000000000 +0100
+@@ -23944,7 +23944,7 @@
+ CK_BACKEND=""
+ KVM_LIBS=""
+ case "$host" in
+-        *-*-freebsd*)
++        *-*-freebsd* | *-*-kfreebsd*-gnu)
+         CK_BACKEND="freebsd"
+         { echo "$as_me:$LINENO: checking for kvm_openfiles in -lkvm" >&5
+ echo $ECHO_N "checking for kvm_openfiles in -lkvm... $ECHO_C" >&6; }
diff -ur --unidirectional-new-file
consolekit-0.2.10.orig/debian/patches/series
consolekit-0.2.10/debian/patches/series
--- consolekit-0.2.10.orig/debian/patches/series	2009-01-07
01:32:29.000000000 +0100
+++ consolekit-0.2.10/debian/patches/series	2009-01-07 00:32:37.000000000 +0100
@@ -2,3 +2,5 @@
 02-exit_with_dbus.patch
 03-cleanup_console_tags.patch
 04-defer_daemonizing.patch
+80-gnukfreebsd_support_configure.ac.patch
+81-gnukfreebsd_support_pseudo_run_autoconf.patch
\ No newline at end of file


-- System Information:
Debian Release: 5.0
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 7.1-1-686-smp
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash




Tags added: patch Request was from "Luca Favatella" <slackydeb@gmail.com> to control@bugs.debian.org. (Thu, 08 Jan 2009 23:06:02 GMT) Full text and rfc822 format available.

Severity set to `important' from `normal' Request was from "Luca Favatella" <slackydeb@gmail.com> to control@bugs.debian.org. (Thu, 08 Jan 2009 23:06:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#511270; Package consolekit. (Tue, 10 Mar 2009 06:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 10 Mar 2009 06:54:02 GMT) Full text and rfc822 format available.

Message #14 received at 511270@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 511270@bugs.debian.org
Subject: [ping] consolekit: FTBFS on GNU/kFreeBSD
Date: Tue, 10 Mar 2009 08:16:34 +0100 (CET)
Hi,

please, could you consider uploading with proposed patch soon,
it currently blocks building of whole gnome chain :-(

Thanks

	Petr

I.e.:

gconf/kfreebsd-amd64 tail of last log:

Checking for source dependency conflicts...
  /usr/bin/sudo /usr/bin/apt-get --purge $CHROOT_OPTIONS -q -y install 
debhelper cdbs gnome-pkg-tools gtk-doc-tools libglib2.0-dev liborbit2-dev 
libdbus-1-dev libdbus-glib-1-dev libxml2-dev libgtk2.0-dev 
libpolkit-dbus-dev policykit libldap2-dev intltool libxml-parser-perl 
gettext python python-support
Reading package lists...
Building dependency tree...
Reading state information...
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
  policykit: Depends: consolekit but it is not installable




Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Tue, 10 Mar 2009 12:39:09 GMT) Full text and rfc822 format available.

Notification sent to "Luca Favatella" <slackydeb@gmail.com>:
Bug acknowledged by developer. (Tue, 10 Mar 2009 12:39:09 GMT) Full text and rfc822 format available.

Message #19 received at 511270-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 511270-close@bugs.debian.org
Subject: Bug#511270: fixed in consolekit 0.3.0-1
Date: Tue, 10 Mar 2009 12:17:03 +0000
Source: consolekit
Source-Version: 0.3.0-1

We believe that the bug you reported is fixed in the latest version of
consolekit, which is due to be installed in the Debian FTP archive:

consolekit_0.3.0-1.diff.gz
  to pool/main/c/consolekit/consolekit_0.3.0-1.diff.gz
consolekit_0.3.0-1.dsc
  to pool/main/c/consolekit/consolekit_0.3.0-1.dsc
consolekit_0.3.0-1_i386.deb
  to pool/main/c/consolekit/consolekit_0.3.0-1_i386.deb
consolekit_0.3.0.orig.tar.gz
  to pool/main/c/consolekit/consolekit_0.3.0.orig.tar.gz
libck-connector-dev_0.3.0-1_i386.deb
  to pool/main/c/consolekit/libck-connector-dev_0.3.0-1_i386.deb
libck-connector0_0.3.0-1_i386.deb
  to pool/main/c/consolekit/libck-connector0_0.3.0-1_i386.deb
libpam-ck-connector_0.3.0-1_i386.deb
  to pool/main/c/consolekit/libpam-ck-connector_0.3.0-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 511270@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated consolekit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 10 Mar 2009 12:48:43 +0100
Source: consolekit
Binary: consolekit libck-connector0 libck-connector-dev libpam-ck-connector
Architecture: source i386
Version: 0.3.0-1
Distribution: unstable
Urgency: low
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 consolekit - framework for defining and tracking users, sessions and seats
 libck-connector-dev - ConsoleKit development files
 libck-connector0 - ConsoleKit libraries
 libpam-ck-connector - ConsoleKit PAM module
Closes: 489032 511270 516253 516532
Changes: 
 consolekit (0.3.0-1) unstable; urgency=low
 .
   * New upstream release.
   * debian/patches/01-dbus_policy.patch
     - Removed, the access to the restart and stop actions is now properly
       restricted by checks in the source code.
   * debian/patches/02-exit_with_dbus.patch
     - Removed, merged upstream.
   * debian/patches/05-dbus_policy.patch
     - Updated by pulling latest patch from upstream Git.
   * debian/patches/06-xmlto_skip_validation.patch
     - Skip XML validation when generating the documentation. (Closes: #516253)
       A proper fix will be, to make ConsoleKit.xml actually valid XML.
   * debian/consolekit.docs
     - Update path to spec html file.
   * Merge patches from Ubuntu
     - debian/patches/04-consolekit_park.patch (Closes: #489032)
     - debian/patches/05-pam-add-nox11.patch
     - debian/patches/08-fix-double-close.patch
     - debian/patches/09-directory-handle-leak.patch (Closes: #516532)
     - debian/patches/10-file_monitor_remove_watch_crash.patch
     - debian/patches/11-unref-dbus-proxy.patch
     - debian/patches/12-allow-get-sessions.patch
   * debian/control
     - Wrap Build-Depends.
     - Bump Build-Depends on debhelper to (>= 7).
   * debian/compat
     - Bump debhelper compat level to 7.
   * Fix FTBFS on GNU/kFreeBSD. (Closes: #511270)
     - debian/patches/80-gnukfreebsd_support_configure.ac.patch
       debian/patches/81-gnukfreebsd_support_pseudo_run_autoconf.patch
       + Add kfreebsd target to configure(.ac) script
     - debian/control
       + Add libkvm-dev to Build-Depends on kfreebsd ports.
     Patch by Luca Favatella, thanks.
   * debian/libpam-ck-connector.{pam-auth-update,install,postinst,prerm},
     debian/rules: enable pam_ck_connector by default using the new
     pam-auth-update support.
   * debian/control: depend on libpam-runtime (>= 1.0.1-6) for the above.
Checksums-Sha1: 
 d3d7324d0c01786814a4743981888f89aa8428de 1523 consolekit_0.3.0-1.dsc
 e78229c04ce3cf5e2c93f74e4d3dcaca3c15e07b 544749 consolekit_0.3.0.orig.tar.gz
 6d440a42c896abe7f17988dbc37adc348e17d8ef 13648 consolekit_0.3.0-1.diff.gz
 65ff688eaf0e794b8fa8a01476b0260c3506d240 137036 consolekit_0.3.0-1_i386.deb
 e84004605a6e90cd1037a8c36b7a108cdbf71b1a 46802 libck-connector0_0.3.0-1_i386.deb
 5fd30d54a6d7f80fd692c3609565113ce743cb73 55636 libck-connector-dev_0.3.0-1_i386.deb
 4f5965d0c48b5d21174f6da4af0d2e19557eef4b 47392 libpam-ck-connector_0.3.0-1_i386.deb
Checksums-Sha256: 
 7b3fffbadb6021e152ef1f53938c607101bf66c46e80d777b88fc58ba82d37d6 1523 consolekit_0.3.0-1.dsc
 0070be2c9915391f3d6fb1b44b322e7238c8e76f78d26a043086ee238905cbf4 544749 consolekit_0.3.0.orig.tar.gz
 009e102043826a74f2a1569c60fd8468b889bb26f82c9147fec475945c183da8 13648 consolekit_0.3.0-1.diff.gz
 950e1d4e82e59b9b61bc95be5cdbfda33debf39168a81fe6d97a831e48f5a0c3 137036 consolekit_0.3.0-1_i386.deb
 d0a7e367b18dc09101292c0b8e42614ebc828d34f11e18c9ecebe744e5c9f330 46802 libck-connector0_0.3.0-1_i386.deb
 9001432dfb42a873de5bd19b45d4f7c4679a7499cf4e995a71e2a78ef6e3bb58 55636 libck-connector-dev_0.3.0-1_i386.deb
 e2d83194476642260ad67a05bf15e61e4af0ff9d460f04076516611ddc44038f 47392 libpam-ck-connector_0.3.0-1_i386.deb
Files: 
 aeb54781801963860cfe64c12d41f458 1523 admin optional consolekit_0.3.0-1.dsc
 7bfd109f67be0c975f686200085e1c18 544749 admin optional consolekit_0.3.0.orig.tar.gz
 147897aedc0d4703ec9055f39548b0a5 13648 admin optional consolekit_0.3.0-1.diff.gz
 0148147cefd46f9b6e5fd9a8e3e74401 137036 admin optional consolekit_0.3.0-1_i386.deb
 1f2a5948745207ec6f1a0be2d56da632 46802 libs optional libck-connector0_0.3.0-1_i386.deb
 11b37f9b690a87c521bad828ca85503c 55636 libdevel optional libck-connector-dev_0.3.0-1_i386.deb
 0c22afd3d1be41a8b8b760b108bbd6bc 47392 admin optional libpam-ck-connector_0.3.0-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkm2VGAACgkQh7PER70FhVTerwCfYdNQrzYaoB4jWJbSozD6J+gZ
wt0AoIV5HUqXJoOkFhIeRVE4fop/lhaC
=UfF+
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 18 Apr 2009 07:31:08 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Mon, 06 Sep 2010 22:03:05 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugs.freedesktop.org/show_bug.cgi?id=30051'. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Mon, 06 Sep 2010 22:03:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 05 Oct 2010 07:38:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:19:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.